# CreateActionExclusion Method

## Description

Creates an action exclusion.

## HTTP Request

`POST https://api.skeddly.com/api/ActionExclusions/`

## Body

The body is a JSON structure with the following properties.

### expiryDate

Date and time, in ISO 8601 format, at which the exclusion should expire.

Type: `string`

Required: No

Default Value: No expiry date

### isEnabled

`true` if the exclusion is to be enabled, otherwise `false`.

Type: `boolean`

Required: Yes

### name

Name of the new action exclusion.

Type: `string`

Required: Yes

### processes

List of processes that should be excluded.

Type: Array of `string`

Valid Values:

* `start-resource`
* `stop-resource`

### projectId

ID of the project in which the exclusion is to be created.

Type: `string`

Required: Recommended for future compatability

Default Value: The account's default project.

### resourceIdentificationMethod

Method in which resources will be selected.

Type: `string`

Valid Values:

* `all`
* `by-resource-id`
* `by-resource-tag`

Required: Yes

### resourceIds

IDs of the resources that are to be included in the exclusion. Required when `resourceIdentificationMethod` is `by-resource-id`.

Type: Array of `string`

Required: Conditional

### resourceTagComparison

Comparison to use when identifying resources by resource tag. Required when `resourceIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison](/data-types/resourcetagcomparison-object-1.md) object.

### resourceType

Type of resource that the exclusion applies to.

Type: `string`

Required: Yes

### startDate

Date and time, in ISO 8601 format, at which the exclusion should start.

Type: `string`

Required: No

Default Value: Applies immediately

### timeZoneId

ID of the time zone for the exclusion times and dates.

Type: `string`

Required: Yes

## Returns

An [ActionExclusion](/data-types/actionexclusion-object.md) object.

## &#x20;Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
POST /api/ActionExclusions HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
Content-Type: application/json

{
    "projectId": "proj-00000001",
    
    "name": "My Exclusion",
    "isEnabled": true,
    
    "expiryDate": "2020-05-19T00:00:00Z",
    
    "resourceType": "amazon-ec2-instance",
    
    "resourceIdentificationMethod": "by-resource-id",
    "resourceIds": [
        "i-12345678"
    ],
    
    "processes": [
        "start-resource",
        "stop-resource"
    ]
}
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
{
    "actionExclusionId": "excl-00000001",
    "projectId": "proj-00000001",

    "name": "My Exclusion",
    "status": "active",
    "isEnabled": true,

    "createdDate": "2020-05-12T11:36:00Z",
    "lastModifiedDate": "2020-05-12T11:36:00Z",
    "lastModifiedBy": "u-00000001",
    
    "startDate": "2020-05-15T00:00:00Z",
    "expiryDate": "2020-05-19T00:00:00Z",
    "timeZoneId": "Eastern Standard Time",
    
    "processes": [
        "start-resource",
        "stop-resource"
    ],
    
    "resourceType": "amazon-ec2-instance",
    
    "resourceIdentificationMethod": "by-resource-id",
    "resourceIds": [
        "i-12345678"
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/action-exclusions/createactionexclusion-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
